using System;
using VegetableShop.Domain.Model;

namespace VegetableShop.Domain.Errors
{
    public class UnauthorizedSaleException : Exception
    {
        public UnauthorizedSaleException(Farmer farmer, Vegetable vegetable) :
            base($"Unauthorized sale of {vegetable} for {farmer}")
        {
        }
    }
}