using VegetableShop.Domain.Model;
using VegetableShop.Domain.Repositories;

namespace VegetableShop.Infrastructure.Persistence
{
    public class ConsumerRepositoryImpl : ConsumerRepository
    {
        private readonly Context _context;

        public ConsumerRepositoryImpl(Context context)
        {
            _context = context;
        }

        public Consumer GetById(in long consumerId) => _context.Consumers[consumerId];
    }
}