# Domain Driven Design : des armes pour affronter la complexité

[](https://blog.octo.com/domain-driven-design-des-armes-pour-affronter-la-complexite/)


« La complexité, c’est comme le cholestérol. Il faut surtout se débarasser du mauvais. » (Proverbe gascon-malgache)


DDD est l’acronyme de Domain Driven Design. Ce n’est ni un framework, ni une
méthodologie, mais plutôt une approche décrite dans l’ouvrage du même nom
d’Eric Evans. Un de ses objectifs est de définir une vision et un langage
partagés par toutes les personnes impliquées dans la construction d’une
application, afin de mieux en appréhender la complexité. Nous ne souhaitons pas
faire ici une présentation de DDD (voir plutôt ici pour une introduction). Nous
voulons montrer comment DDD peut adresser certaines problématiques évoquées
dans l’article “J’ai mal à mon application ! Ca se soigne ?” au travers d’un
exemple d’application (“je veux vendre et acheter des légumes sur internet”),
tout en s’inscrivant dans une démarche de développement Agile.

