namespace VegetableShop.Domain.Model
{
    public readonly struct Price
    {
        public decimal Value { get; }
        
        public string Currency { get; }
        
        public Price(decimal value, string currency = "EUR")
        {
            Value = value;
            Currency = currency;
        }

        public override string ToString() => $"{Value} {Currency}";
    }
}