using System;
using System.Collections.Generic;

namespace VegetableShop.Domain.Model
{
    public class Vegetable
    {
        private readonly long _id;
        public string Name { get; }

        public Vegetable(string name)
        {
            _id = new Random().Next(int.MaxValue);
            Name = name;
        }

        public override string ToString() => $"Vegetable[id={_id}, name={Name}";
    }
}