using VegetableShop.Domain.Model;
using VegetableShop.Domain.Repositories;

namespace VegetableShop.Infrastructure.Persistence
{
    public class FarmerRepositoryImpl: FarmerRepository
    {
        private readonly Context _context;

        public FarmerRepositoryImpl(Context context)
        {
            _context = context;
        }
        public Farmer GetById(in long farmerId) => _context.Farmers[farmerId];
    }
}