using VegetableShop.Domain.Model;
using VegetableShop.Domain.Repositories;

namespace VegetableShop.Infrastructure.Persistence
{
    public class VegetableRepositoryImpl: VegetableRepository
    {
        private readonly Context _context;

        public VegetableRepositoryImpl(Context context)
        {
            _context = context;
        }
        
        public Vegetable GetById(in long vegetableId) => _context.Vegetables[vegetableId];
    }
}